Open Babel: OBRotorRule Class Reference

Public Member Functions

# OBRotorRule Class Reference

A rule for torsional conformer searching, defined by a SMARTS pattern. More...

`#include <openbabel/rotor.h>`

List of all members.

## Public Member Functions
| OBRotorRule (char *buffer, int ref[4], std::vector< double > &vals, double d)
| ~OBRotorRule ()
bool | IsValid ()
void | GetReferenceAtoms (int ref[4])
void | SetDelta (double d)
double | GetDelta ()
std::vector< double > & | GetTorsionVals ()
std::string & | GetSmartsString ()
OBSmartsPattern * | GetSmartsPattern ()

## Detailed Description

A rule for torsional conformer searching, defined by a SMARTS pattern.

Rules define a SMARTS pattern to match and a set of 4 reference atoms defining the dihedral angle. The rule can either define a set of possible dihedral angles in degrees and/or a "delta" (i.e., all multiples of delta will be considered)

## Constructor & Destructor Documentation

OBRotorRule | ( | char * | buffer,
|  | int | ref[4],
|  | std::vector< double > & | vals,
|  | double | d
| ) |  | `[inline]`

~OBRotorRule | ( | ) | `[inline]`

## Member Function Documentation

bool IsValid | ( | ) | `[inline]`

Returns:
  whether this rotor rule is valid (i.e., is the SMARTS pattern valid)

Referenced by OBRotorRules::ParseLine().

void GetReferenceAtoms | ( | int | ref[4] ) | `[inline]`

Returns:
  a copy of the reference atom indexes inside the SMARTS pattern

These should be freed after use.

void SetDelta | ( | double | d ) | `[inline]`

Set the resolution (delta) of a torsional step in degrees.

double GetDelta | ( | ) | `[inline]`

Returns:
  the resolution (delta) of a torsional step in degrees

std::vector<double>& GetTorsionVals | ( | ) | `[inline]`

Returns:
  a reference to the dihedral angles to evaluate (in radians)

std::string& GetSmartsString | ( | ) | `[inline]`

Returns:
  the text of the SMARTS pattern for this rule

OBSmartsPattern* GetSmartsPattern | ( | ) | `[inline]`

Returns:
  the exact OBSmartsPattern object for this rule

The documentation for this class was generated from the following file:

- rotor.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines